package eu.dnetlib.dhp.schema.solr;

import java.io.Serializable;
import java.util.List;

public class Instance implements Serializable {

    private String license;

    private AccessRight accessright;

    private String instancetype;

    private Provenance hostedby;

    private List<String> url;

    // other research products specifc
    private String distributionlocation;

    private Provenance collectedfrom;

    private List<Pid> pid;

    private List<Pid> alternateIdentifier;

    private String dateofacceptance;

    // ( article | book ) processing charges. Defined here to cope with possible wrongly typed
    // results
    private APC processingcharges;

    private String refereed; // peer-review status

    private List<Measure> measures;

    /**
     * Direct fulltext URL.
     */
    private String fulltext;
}
