package eu.dnetlib.dhp.schema.solr;

import java.io.Serializable;
import java.util.List;

public class SolrRecord implements Serializable {

    private SolrRecordHeader header;

    private List<Provenance> collectedfrom;

    /**
     * List of persistent identifiers
     */
    private List<Pid> pid;

    private List<Context> context;

    /**
     * EOSC Interoperability Framework Guidelines
     */
    private List<EoscIfGuidelines> eoscifguidelines;

    private List<Measure> measures;


    private List<ExtraInfo> extraInfo;


    private Result result;

    private Datasource datasource;

    private Project project;

    private Organization organization;

    private List<RelatedRecord> links;


}
